﻿$ErrorActionPreference = 'Stop'

$packageName = 'arq'
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url = 'https://www.arqbackup.com/download/arqbackup/Arq7.msi'
$checksum = 'c70739d55f2945555c3bb878e8f0a1b95100a424a5f87d684e3c636d8b0bb7b0'

$packageArgs = @{
    packageName    = $packageName
    fileType       = 'MSI'
    url            = $url
    validExitCodes = @(0, 3010, 1641, 1920, 1603)
    silentArgs     = '/quiet /norestart'
    softwareName   = 'ARQ'
    checksum       = $checksum
    checksumType   = 'sha256'
}

Install-ChocolateyPackage @packageArgs
